Instalar GParted 0.4.3 con soporte para Ext4

GLeyendo blogs y páginas sobre GNU/Linux todos hacen referencia al nuevo sistema de archivos que llevará la versión 9.04 (como opcional) y 9.10 (como nativa) de Ubuntu, este sistema es Ext4, y por la pruebas que la gente ha hecho parece que es mucho más rápido que su antecesora Ext3 , además de soportar mucha más capacidad en discos duros (1 Exabyte para el sistema y 16 TB para archivos), etc. Debido a esto me "picó" la curiosidad y decidí bajarme la última versión de Gparted (0.4.3), compilarla e instalarla. Al hacer esto tuve varios problemas que solucioné, aquí os enuncio los problemas y las soluciones.

Bueno lo primero de todo fue descargarlo de la página oficial del proyecto, hecho esto lo descomprimimos, abrimos un terminal donde debemos acceder a la carpeta descomprimida, a partir de ahí vamos al tema.

Una vez dentro de la carpeta tecleamos los siguiente (en el terminal):

./configure

comenzará a crear el makefile para posteriormente compilar con make. Al realizar esto a mí me dio dos problemas:

1) checking for uuid_generate in -luuid… no
configure: error: *** uuid library (libuuid) not found

para esto la solución fue

sudo apt-get build-dep qtparted

Segundo problema:

2) No package 'gtkmm-2.4' found

y su correspondiente solución fue

sudo apt-get install libgtkmm-2.4-dev

a partir de aquí ya podemos hacer

./configure
make
sudo make install

Una vez hecho esto ya tendremos instalado gparted con la posiblidad de formatear en Ext4 cualquier partición, disco duro interno o externo que se nos venga en gana, además de la posibilidad de hacerlo en NTFS, FAT, FAT32, EXT2, ETX3, etc.




Como siempre espero que mis problemas os fueran de utilidad.

Saludos.

Comments are closed.